import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/api/responses/token.dart';
import 'package:pshared/data/dto/account/account.dart';

part 'employees.g.dart';


@JsonSerializable(explicitToJson: true)
class EmployeesResponse {
  final List<AccountDTO> accounts;
  final TokenData accessToken;

  const EmployeesResponse({required this.accessToken, required this.accounts});

  factory EmployeesResponse.fromJson(Map<String, dynamic> json) => _$EmployeesResponseFromJson(json);
  Map<String, dynamic> toJson() => _$EmployeesResponseToJson(this);
}